// MifareOneDlg.h : 头文件
//

#pragma once
#include "afxwin.h"


#define WM_SHELL_NOTIFYICON WM_USER+20

// CMifareOneDlg 对话框
class CMifareOneDlg : public CDialog
{
// 构造
public:
	CMifareOneDlg(CWnd* pParent = NULL);	// 标准构造函数
	void showString(const CString strmsg);
	void showMsg(const char* msg);
// 对话框数据
	enum { IDD = IDD_MIFAREONE_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持

private:
	void clearMsg();
	CString showStr;
// 实现
protected:
	HICON m_hIcon;
	void UpdateMenuItems(BOOL fst);
	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtnRead();
	afx_msg void OnBnClickedBtnWrite();
protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
public:
	CString m_rwDataStr;
	CString m_ReceiveString;
	CEdit m_CReStr;
	afx_msg void OnEnMaxtextReceive();
private:
	void GetCurCommPara(int* port, int* baud);
};
